*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    scroll-behavior: smooth;
    outline: none;
    font-family: 'Poppins',sans-serif;
}
:root{
    --bg-color:#1f242d;
    --secong-bg-color:#323946;
    --text-color:#fff;
    --main-color:#ffa31a;
}
#dark-btn{
    position: absolute;
    top: 20px;
    right: 20px;
    background:#fff;
    width: 45px;
    border-radius: 15px;
    padding: 2px 3px;
    cursor: pointer;
    display: flex;
    transition: padding-left 0.5s,background 0.5s;
}
#dark-btn span{
    width: 18px;
    height: 18px;
    background: #ffa31a;
    border-radius: 50%;
    display: inline-block;

}
#dark-btn.dark-btn-on{
    padding-left: 23px;
    background: var(--secong-bg-color);
}
html{
    font-size: 62.5%;
    overflow-x: hidden;
}
body{
    background: var(--bg-color);
    color: var(--text-color);
    transition: background 0.5s,color 0.5s;
}
.dark-theme{
    --bg-color:#fff2e6;
    --secong-bg-color:#fff;
    --text-color:black;
    --main-color:#ffa31a;
}
.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 9%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    background-color: var(--bg-color);
    transition: background-color 0.5s;
}
.header.sticky{
    border-bottom: 0.1rem solid rgba(0,0,0,0.2);
}
.logo{
    font-size: 2.5rem;
    color: var(--text-color);
    font-weight: 600;
    cursor: default;
}
.navbar a{
    font-size: 1.7rem;
    color: var(--text-color);
    margin-left: 4rem;
}
.navbar a:hover,
.navbar a.active{
    color: var(--main-color);
}
#menu-icon{
    font-size: 3.6rem;
    color: var(--text-color);
    display: none;
}
section{
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}
.home{
    display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 5rem;
}
.home-content h3{
    font-size: 3.2rem;
    font-weight: 700;
}
.home-content h3:nth-of-type(2){
    margin-bottom: 2rem;
}
span{
    color: var(--main-color);
}
.home-content h1{
    font-size: 5.6rem;
    font-weight: 700;
    line-height: 1.3;
}
.home-content p{
    font-size: 1.6rem;
}
.home-img img{
    width: 33vw;
    animation: floatImage 4s ease-in-out;
}
@keyframes floatImage {
    0%{
        transform: translateY(0);
    }
    25%{
        transform: translateY(-2.5rem);
    }
    75%{
        transform: translateY(+2.5rem);
    }
    100%{
        transform: translateY(0);
    }
}
.social a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background: transparent;
    color: var(--main-color);
    font-size: 2rem;
    margin: 3rem 1.5rem 3rem 0;
    border: 0.2rem solid var(--main-color);
    border-radius: 50%;
    transition: 0.5s ease ;
}

.social a:hover{
    background-color: var(--main-color);
    color: var(--secong-bg-color);
    box-shadow: 0 0 1rem var(--main-color);
}

.btn{
    display: inline-block;
    padding: 1rem 2.8rem;
    background: var(--main-color);
    border-radius: 4rem;
    box-shadow: 0 0 0.75rem var(--main-color);
    font-size: 1.6rem;
    color: var(--secong-bg-color);
    letter-spacing: 0.1rem;
    font-weight: 600;
    transition: 0.5s;
}
.btn:hover{
    box-shadow: none;
}
.about{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5rem;
    background-color: var(--secong-bg-color);
    transition: background-color 0.5s;
}
.about-img img{
    width: 33vw;
}
.heading{
    text-align: center;
    font-size: 4.5rem;
    transition: color 0.3s;
}
.about-content h2{
    text-align:left ;
    line-height: 1.2;
}
.about-content h3{
    font-size: 2.5rem;
    text-align:left ;
    line-height: 1.2;
}
.about-content p{
    font-size: 1.6rem;
    margin: 2rem 0 3rem;
}
.achievements h2{
    margin-bottom: 5rem;
}
.services h2{
    margin-bottom: 5rem;
}
.services-container{
    display: flex;
    justify-content: center;
    align-items: end;
    flex-wrap: wrap;
    gap: 3rem;

}
.services-box{
    min-height: 30rem;
    flex: 1 1  30rem;
    background: var(--secong-bg-color);
    padding: 3rem 2rem 4rem;
    border-radius: 2rem;
    padding: 3rem;
    text-align: center;
    border: 0.2rem solid var(--bg-color);
    transition: 0.5s ease;
}
.services-box i{
    font-size: 7rem;
    color: var(--main-color);
}
.services-box h3{
    font-size: 2.5rem;
}
.services-box p{
    font-size: 1.6rem;
    margin: 1rem 0 3rem;
}
.services-box:hover{
    border-color: var(--main-color);
    transform: scale(1.02);
}
.portfolio{
    background-color: var(--secong-bg-color);
}
.portfolio h2{
     margin-bottom: 4rem;
}
.portfolio-container{
    display: grid;
    align-items: center;
    gap: 2.5rem;
    grid-template-columns: repeat(2,1fr);
}
.portfolio-box{
    position: relative;
    border-radius: 2rem;
    box-shadow: 0 0 1rem var(--bg-color);
    overflow: hidden;
    display: flex;
}
.portfolio-box img{
    width: 100%;
    transition: 0.5s ease;
}
.portfolio-box .portfolio-layer{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0,0,0,0.1),var(--main-color));
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 0 4rem;
    transform: translateY(100%);
    transition: 0.5s ease;
}
.portfolio-box:hover .portfolio-layer{
    transform: translateY(0);
}
.portfolio-box:hover img{
    transform: scale(1.1);
}
.portfolio-layer h4{
    color: #fff;
    font-size: 3rem;
}
.portfolio-layer p{
    color: #fff;
    font-size: 1.6rem;
    margin: 0.3rem 0 1rem;
    text-align: center;
}
.portfolio-layer a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 5rem;
    width: 5rem;
    background-color: var(--text-color);
    border-radius: 50%;
}
.portfolio-layer a i{
    font-size: 2rem;
    color: var(--secong-bg-color);
}
.contact h2{
    margin-bottom: 3rem;
}
.contact form{
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}
.contact form .input-box{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

}
.contact form .input-box input,
.contact form textarea{
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background-color: var(--secong-bg-color);
    border-radius: .8rem;
    margin: .7rem 0;

}
.contact form .btn{
    margin-top: 2rem;
    cursor: pointer;
}
.footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem 9%;
    background: var(--secong-bg-color);
}
.footer-text p{
    font-size: 1.5rem;
}

.footer-iconTop a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 0.8rem;
    background: var(--main-color);
    border-radius: 0.8rem;
}
.footer-iconTop a i{
    font-size: 2.4rem;
    color: var(--secong-bg-color);
    justify-content: center;
    align-items: center;
    padding: .8rem;
    background: var(--main-color);
    border-radius: .8rem;
    transition: 0.5s ease;
}

.footer-iconTop a:hover{
    box-shadow: 0 0 1rem var(--main-color);
}


@media(max-width:1200px){
    html{
        font-size: 55%;
    }
}

@media(max-width:991px){
    .header{
        padding: 2rem 3%;
    }
    section{
        padding: 10rem 3% 2rem;
    }
    .footer{
        padding:2rem 3% ;
    }
}

@media(max-width:768px){
    #menu-icon{
        display: block;
    }
    .navbar{
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem 3%;
        background-color: var(--bg-color);
        border-top: .1rem solid rgba(0,0,0,.2);
        box-shadow: 0 0.5rem 1rem rgba(0,0,0,.2);
        display: none;
    }
    .navbar.active{
        display: block;
    }
    .navbar a{
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
    }
    .home{
        flex-direction: column;
    }
    .home-content h3{
        font-size: 2.6rem;
    }
    .home-content h1{
        font-size: 5rem;
    }
    .home-img img{
        width: 60vw;
        margin-top: 4rem;
    }
    .about{
        flex-direction: column-reverse;
    }
    .about img{
        width: 60vw;
        margin-top: 4rem;
    }
    .portfolio-container{
        grid-template-columns: repeat(1,1fr);
    }
}